Bug 216075 - multimedia/kodi: fails to build with clang 4.0
Summary: multimedia/kodi: fails to build with clang 4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: needs-patch
Depends on:
Blocks: 216008
  Show dependency treegraph
 
Reported: 2017-01-14 16:01 UTC by Jan Beich
Modified: 2017-02-05 19:03 UTC (History)
2 users (show)

See Also:


Attachments
proposed patch (1.12 KB, patch)
2017-01-21 21:14 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-01-14 16:01:35 UTC
RssReader.cpp:269:19: error: ordered comparison between pointer and zero ('TiXmlElement *' and 'int')
  while (itemNode > 0)
         ~~~~~~~~ ^ ~
RssReader.cpp:273:22: error: ordered comparison between pointer and zero ('TiXmlNode *' and 'int')
    while (childNode > 0)
           ~~~~~~~~~ ^ ~

build log: http://sprunge.us/SNOi
regressed by: https://github.com/llvm-mirror/clang/commit/4b6ad14285f3
Comment 1 Tobias C. Berner freebsd_committer 2017-01-21 21:14:35 UTC
Created attachment 179193 [details]
proposed patch
Comment 2 commit-hook freebsd_committer 2017-02-05 18:59:19 UTC
A commit references this bug:

Author: jbeich
Date: Sun Feb  5 18:58:11 UTC 2017
New revision: 433445
URL: https://svnweb.freebsd.org/changeset/ports/433445

Log:
  multimedia/kodi: unbreak with clang 4.0

  RssReader.cpp:269:19: error: ordered comparison between pointer and zero ('TiXmlElement *' and 'int')
    while (itemNode > 0)
           ~~~~~~~~ ^ ~
  RssReader.cpp:273:22: error: ordered comparison between pointer and zero ('TiXmlNode *' and 'int')
      while (childNode > 0)
             ~~~~~~~~~ ^ ~

  PR:		216075
  Submitted by:	tcberner
  Approved by:	maintainer timeout (2 weeks)

Changes:
  head/multimedia/kodi/files/patch-xbmc_utils_RssReader.cpp
Comment 3 Jan Beich freebsd_committer 2017-02-05 19:03:15 UTC
Thanks. Landed.